View Issue Details

IDProjectCategoryLast Update
0021811AI War 2[All Projects] GUIMay 23, 2020 3:54 pm
ReporterOzoneGrifAssigned Tox4000Bughunter 
Severityminor 
Status assignedResolutionopen 
Product Version0.951 Hotfixes 
Fixed in Version 
Summary0021811: Selection is lost after traversing wormhole (precise case)
DescriptionReported here: https://bugtracker.arcengames.com/view.php?id=21783
The issue is still present

"When a fleet traverses a wormhole, it's selection is lost. This issue only occurs if the selection was made in the planet view. If you select the fleet on the galaxy map, it works correctly."

Step to reproduce:
* Start a new game (ie. basic scenario 1)
* Left-Click on your Fleet (do **not** use the hotkey or galaxy map, just click on the 3d model with the left-mouse button)
* Ctrl+Right-Click a wormhole to traverse it
* Wait to traverse the wormhole...

-> Selection is lost, your Fleet is not selected anymore; it should stay selected

This also works with units and with drag'n drop selection instead of left-click, in the planet view.

Now if you do it with the hotkey, or on the galaxy map, it works fine.
TagsNo tags attached.

Relationships

related to 0021783 resolvedx4000Bughunter Fleet selection and deselection issues (seems related to galaxy map selection changes) 

Activities

OzoneGrif

Dec 14, 2019 2:32 pm

reporter   ~0054996

Sorry to bother, but can we do something to fix this bug?
It's very damaging during battles

OzoneGrif

May 22, 2020 6:21 pm

reporter   ~0057116

In the patch notes you say: And finally, there was a very annoying issue that if you had selected any ships directly and they changed planets, it would deselect them. Selecting by fleet did not have this problem, so to people who experienced it, it just seemed intermittent. As someone who pretty much always selects by-fleet, I had not been seeing the issue until it was pointed out with steps on how to reproduce it.

Looks like this bug is fixed then

BadgerBadger

May 23, 2020 3:54 pm

manager   ~0057119

Can you verify that it's fixed for you?

Issue History

Date Modified Username Field Change
Oct 15, 2019 12:34 pm OzoneGrif New Issue
Oct 15, 2019 12:35 pm OzoneGrif Description Updated View Revisions
Oct 15, 2019 1:54 pm x4000Bughunter Relationship added related to 0021783
Dec 14, 2019 2:32 pm OzoneGrif Note Added: 0054996
Mar 11, 2020 1:47 pm BadgerBadger Assigned To => x4000Bughunter
Mar 11, 2020 1:47 pm BadgerBadger Status new => assigned
May 22, 2020 6:21 pm OzoneGrif Note Added: 0057116
May 23, 2020 3:54 pm BadgerBadger Note Added: 0057119